<?xml version="1.0" encoding="utf-8"?>
<creole>
	<containers>
		<container name="web">
            <package>sap-apps</package>
            <file filelist='sap_files' name='/etc/apache2/sites-available/sap' source='sap-apache.conf'/>
            <file filelist="sap_files" name="/var/www/html/sap/config/ldap.inc.php" source="sap-ldap.inc.php" rm="True"/>
            <file filelist="sap_files" name="/var/www/html/sap/config/mysql.inc.php" source="sap-mysql.inc.php" rm="True"/>
            <file filelist="sap_files" name="/var/www/html/sap/config/variables.inc.php" source="sap-variables.inc.php" rm="True"/>
            <service method="apache" servicelist="sap">sap</service>
		</container>
	</containers>
    
    <variables>
        <family name='envole'>
            <variable name='activer_sap' type='oui/non' description='Activation de la supervision des réseaux sociaux (SAP)'>
                <value>oui</value>
            </variable>
        </family>
    </variables>
    <constraints>     
        <condition name='hidden_if_in' source='activer_envole'>
            <param>non</param>
            <target type='variable'>activer_sap</target>
        </condition>
        
        <condition name='hidden_if_in' source='activer_sap'>
            <param>non</param>
            <target type='filelist'>sap_files</target>
            <target type='servicelist'>sap</target>
        </condition>            
    </constraints>
    <help>
        <variable name='activer_sap'>Activation de la supervision des réseaux sociaux</variable>
    </help>
</creole>
